LibreOffice: XServiceInfo Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XServiceInfo Interface Reference

Provides information regarding the implementation: which services are implemented and the name of the implementation. More...

`import <XServiceInfo.idl;`

Inheritance diagram for XServiceInfo:

## Public Member Functions
string | getImplementationName ()
| Provides the implementation name of the service implementation.
boolean | supportsService ([in] string ServiceName)
| Tests whether the specified service is supported, i.e.
sequence< string > | getSupportedServiceNames ()
| Provides the supported service names of the implementation, including also indirect service names.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Provides information regarding the implementation: which services are implemented and the name of the implementation.

Developers Guide
  Writing UNO Components - XServiceInfo
  Spreadsheet Documents - Service Names
  Writing UNO Components - Core Interfaces to Implement

## Member Function Documentation

## ◆ getImplementationName()

string getImplementationName | ( |  | ) |

Provides the implementation name of the service implementation.

Returns
  unique name of the implementation

## ◆ getSupportedServiceNames()

sequence< string > getSupportedServiceNames | ( |  | ) |

Provides the supported service names of the implementation, including also indirect service names.

Returns
  sequence of service names that are supported

## ◆ supportsService()

boolean supportsService | ( | [in] string | ServiceName | ) |

Tests whether the specified service is supported, i.e.

implemented by the implementation.

Parameters

  ServiceName | name of service to be tested

Returns
  true, if service is supported, false otherwise

The documentation for this interface was generated from the following files:

- com/sun/star/lang/XServiceInfo.idl
- /build/libreoffice-fresh/src/libreoffice-24.8.0.3/odk/docs/idl/generated_idl_chapter_refs.idl